
Name:           kgpg
Summary:        Control your GPG keys
Version: 	17.12.3
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2
URL:            http://utils.kde.org/projects/kgpg
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Source1:        org.kde.kgpg.desktop
BuildRequires: cmake
BuildRequires: lib64boost-devel 
BuildRequires: lib64gpg-error-devel 
BuildRequires: lib64gpgme-devel 
BuildRequires: lib64kcodecs-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5akonadicontact-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5dbusaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5kcontacts-devel 
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5sonnetui-devel
BuildRequires: lib64kf5textwidgets-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: libxml2-utils
BuildRequires: pkgconfig 
BuildRequires: qtbase5-common-devel 

Requires:       kde-cli-tools


%description
KGpg is a simple interface for GnuPG, a powerful encryption utility.

%files
%_kf5_bindir/%{name}
%_kf5_datadir/%{name}/
%_kf5_datadir/kxmlgui5/%{name}/
%_kf5_iconsdir/*/*/apps/%{name}.*
%_kf5_iconsdir/*/*/actions/*
%_kf5_iconsdir/*/*/status/*
%_kf5_applicationsdir/org.kde.%{name}.desktop
%_kf5_services/ServiceMenus/encryptfile.desktop
%_kf5_services/ServiceMenus/encryptfolder.desktop
%_kf5_services/ServiceMenus/viewdecrypted.desktop
%_kf5_sysconfdir/xdg/autostart/org.kde.%{name}.desktop
%_kf5_datadir/config.kcfg/%{name}.kcfg
%_datadir/dbus-1/interfaces/org.kde.%{name}.Key.xml
%_kf5_datadir/metainfo/org.kde.kgpg.appdata.xml
%_kf5_datadir/locale
#------------------------------------------------------------------------------

%package -n kgpg-handbook
Summary:        kgpg Handbook
Group:          Documentation
BuildArch:      noarch
Requires: %name

%description -n kgpg-handbook
This package provides kgpg Handbook.

%files -n kgpg-handbook
%doc AUTHORS COPYING TODO
%docdir %_kf5_docdir
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

#autostart only in KDE
install -m 0644 %SOURCE1 %buildroot/%_kf5_sysconfdir/xdg/autostart/org.kde.%{name}.desktop

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Mon Mar 13 2017 bb2 <bb2> - 16.12.3-2pclos2017
- only autostart in KDE5

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Tue Jan 03 2017 bb <bb> 16.12.0-2pclos2017
- fix start up crash at login

* Wed Dec 15 2016 bb <bb> 16.12.0-1pclos2017
- update

